## ocaml-num 1.3

=== src/Makefile ===
OCAMLC=ocamlc
OCAMLOPT=ocamlopt
OCAMLDEP=ocamldep
OCAMLMKLIB=ocamlmklib
OCAMLFIND=ocamlfind
INSTALL_DATA=install -m 644
INSTALL_DLL=install
INSTALL_DIR=install -d
STDLIBDIR=$(shell $(OCAMLC) -where)
DESTDIR ?=

include $(STDLIBDIR)/Makefile.config

ifeq "$(filter i386 amd64 arm64 power,$(ARCH))" ""
# Unsupported architecture
BNG_ARCH=generic
else
BNG_ARCH=$(ARCH)
endif

CAMLCFLAGS=-w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g \
          -safe-string -strict-sequence -strict-formats
CAMLOPTFLAGS=$(CAMLCFLAGS)
ifeq "$(FLAMBDA)" "true"
CAMLOPTFLAGS+=-O3
endif

CMIS=big_int.cmi nat.cmi num.cmi ratio.cmi arith_status.cmi
CMOS=int_misc.cmo nat.cmo big_int.cmo arith_flags.cmo \
  ratio.cmo num.cmo arith_status.cmo
CMXS=$(CMOS:.cmo=.cmx)
COBJS=bng.$(O) nat_stubs.$(O)

all:: libnums.$(A) nums.cma

ifneq "$(ARCH)" "none"
all:: nums.cmxa
endif

ifeq "$(NATDYNLINK)" "true"
all:: nums.cmxs
endif

libnums.$(A): $(COBJS)
	$(OCAMLMKLIB) -oc nums $(COBJS)

nums.cma: $(CMOS)
	$(OCAMLMKLIB) -o nums -oc nums -linkall $(CMOS)

nums.cmxa: $(CMXS)
	$(OCAMLMKLIB) -o nums -oc nums -linkall $(CMXS)

nums.cmxs: nums.cmxa libnums.$(A)
	$(OCAMLOPT) $(CAMLOPTFLAGS) -I . -shared -o nums.cmxs nums.cmxa

# We hard-code the C dependencies rather than having them generated
# because the dependencies are so simple.
bng.$(O): bng.h bng_*.c
nat_stubs.$(O): bng.h nat.h

%.cmi: %.mli
	$(OCAMLC) $(CAMLCFLAGS) -c $*.mli
%.cmo: %.ml
	$(OCAMLC) $(CAMLCFLAGS) -c $*.ml
%.cmx: %.ml
	$(OCAMLOPT) $(CAMLOPTFLAGS) -c $*.ml
%.$(O): %.c
	$(OCAMLC) -ccopt -DBNG_ARCH_$(BNG_ARCH) -c $*.c

# Legacy installation: files go into OCaml's stdlib directory; only META
# is installed via findlib

TOINSTALL=nums.cma libnums.$(A) $(CMIS) $(CMIS:.cmi=.mli) $(CMIS:.cmi=.cmti)
ifneq "$(ARCH)" "none"
TOINSTALL+=nums.cmxa nums.$(A) $(CMXS)
endif
ifeq "$(NATDYNLINK)" "true"
TOINSTALL+=nums.cmxs
endif
ifeq "$(SUPPORTS_SHARED_LIBRARIES)" "true"
TOINSTALL_STUBS=dllnums$(EXT_DLL)
else
TOINSTALL_STUBS=
endif

VERSION=$(shell sed -ne 's/^ *version *: *"\([^"]*\)".*$$/\1/p' ../num.opam)

install:
	$(INSTALL_DIR) $(DESTDIR)$(STDLIBDIR)
	sed -e 's/%%VERSION%%/$(VERSION)/g' META.in > META
	$(OCAMLFIND) install num META
	rm -f META
	$(INSTALL_DATA) $(TOINSTALL) $(DESTDIR)$(STDLIBDIR)
ifeq "$(SUPPORTS_SHARED_LIBRARIES)" "true"
	$(INSTALL_DIR) $(DESTDIR)$(STDLIBDIR)/stublibs
	$(INSTALL_DLL) $(TOINSTALL_STUBS) $(DESTDIR)$(STDLIBDIR)/stublibs
endif

findlib-install:
	sed -e '/\^/d' -e 's/%%VERSION%%/$(VERSION)/g' META.in > META
	$(OCAMLFIND) install num META $(TOINSTALL) $(TOINSTALL_STUBS)
	rm -f META

findlib-uninstall:
	$(OCAMLFIND) remove num

uninstall: findlib-uninstall
	cd $(DESTDIR)$(STDLIBDIR) && rm -f $(TOINSTALL)
ifeq "$(SUPPORTS_SHARED_LIBRARIES)" "true"
	cd $(DESTDIR)$(STDLIBDIR)/stublibs && rm -f $(TOINSTALL_STUBS)
endif

clean:
	rm -f *.cm[ioxta] *.cmx[as] *.cmti *.$(O) *.$(A) *$(EXT_DLL)

depend:
	$(OCAMLDEP) -slash *.mli *.ml > .depend

include .depend

=== debian/changelog ===
ocaml-num (1.3-1) unstable; urgency=medium

  * New upstream release
  * Add missing Breaks+Replaces (Closes: #945851)
  * Bump Standards-Version to 4.4.1
  * Build-depend on debhelper-compat
  * Add Rules-Requires-Root field
  * Add debian/upstream/metadata
  * Add autopkgtest

 -- Stéphane Glondu <glondu@debian.org>  Mon, 02 Dec 2019 11:29:25 +0100

ocaml-num (1.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 05 Nov 2019 09:21:10 +0100

ocaml-num (1.2-1) experimental; urgency=medium

  * Initial release (Closes: #933830)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 04 Aug 2019 19:12:00 +0200

=== debian/control ===
Source: ocaml-num
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-ocaml,
 ocaml-nox (>= 4.08),
 ocaml-findlib
Rules-Requires-Root: no
Standards-Version: 4.4.1
Section: ocaml
Homepage: https://github.com/ocaml/num
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-num.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-num

Package: libnum-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Breaks: ocaml-nox (<< 4.08)
Replaces: ocaml-nox (<< 4.08)
Description: library for arbitrary-precision and rational arithmetic (development)
 This OCaml library implements arbitrary-precision arithmetic on big
 integers and on rationals.
 .
 This is a legacy library. It used to be part of the core OCaml
 distribution (in otherlibs/num) but is now distributed separately. New
 applications that need arbitrary-precision arithmetic should use the
 Zarith library (https://github.com/ocaml/Zarith) instead of the Num
 library, and older applications that already use Num are encouraged to
 switch to Zarith. Zarith delivers much better performance than Num and
 has a nicer API.
 .
 This package contains development files.

Package: libnum-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Breaks: ocaml-base-nox (<< 4.08), libfindlib-ocaml (<< 1.8)
Replaces: ocaml-base-nox (<< 4.08), libfindlib-ocaml (<< 1.8)
Description: library for arbitrary-precision and rational arithmetic (runtime)
 This OCaml library implements arbitrary-precision arithmetic on big
 integers and on rationals.
 .
 This is a legacy library. It used to be part of the core OCaml
 distribution (in otherlibs/num) but is now distributed separately. New
 applications that need arbitrary-precision arithmetic should use the
 Zarith library (https://github.com/ocaml/Zarith) instead of the Num
 library, and older applications that already use Num are encouraged to
 switch to Zarith. Zarith delivers much better performance than Num and
 has a nicer API.
 .
 This package contains runtime files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp
export OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

override_dh_missing:
	dh_missing --fail-missing

override_dh_dwz:

=== debian/tests/control ===
Tests: test-num
Depends: ocaml-nox, ocaml-findlib, libnum-ocaml-dev

## ocaml-num 1.4

=== Makefile ===
all:
	$(MAKE) -C src all
	$(MAKE) -C toplevel all

test:
	$(MAKE) -C test all

clean:
	$(MAKE) -C src clean
	$(MAKE) -C toplevel clean
	$(MAKE) -C test clean

install:
	$(MAKE) -C src install
	$(MAKE) -C toplevel install

findlib-install:
	$(MAKE) -C src findlib-install
	$(MAKE) -C toplevel install

uninstall:
	$(MAKE) -C src uninstall
	$(MAKE) -C toplevel uninstall

findlib-uninstall:
	$(MAKE) -C src findlib-uninstall
	$(MAKE) -C toplevel uninstall

.PHONY: all test clean install uninstall findlib-install findlib-uninstall

=== test/Makefile ===
OCAMLC=ocamlc
OCAMLOPT=ocamlopt
OCAMLRUN=ocamlrun

include $(shell $(OCAMLC) -where)/Makefile.config

CAMLCFLAGS=
CAMLOPTFLAGS=$(CAMLCFLAGS)

FILES=test.ml test_nats.ml test_big_ints.ml test_ratios.ml test_nums.ml test_io.ml end_test.ml

all:: test.byt
	@echo "----- Testing in bytecode..."
	$(OCAMLRUN) -I ../src ./test.byt

ifneq "$(ARCH)" "none"
all:: test.exe
	@echo "----- Testing in native code..."
	./test.exe
endif

test.byt: $(FILES) ../src/nums.cma ../src/libnums.$(A)
	$(OCAMLC) -I ../src $(CAMLCFLAGS) ../src/nums.cma $(FILES) -o test.byt

test.exe: $(FILES) ../src/nums.cmxa ../src/libnums.$(A)
	$(OCAMLOPT) -I ../src $(CAMLOPTFLAGS) ../src/nums.cmxa $(FILES) -o test.exe

%.cmi: %.mli
	$(OCAMLC) $(CAMLCFLAGS) -c $*.mli
%.cmo: %.ml
	$(OCAMLC) $(CAMLCFLAGS) -c $*.ml
%.cmx: %.ml
	$(OCAMLOPT) $(CAMLOPTFLAGS) -c $*.ml

clean:
	rm -f *.cm[ioxt] *.$(O) test.byt test.exe

=== toplevel/Makefile ===
OCAMLC=ocamlc
OCAMLDEP=ocamldep
OCAMLFIND=ocamlfind

CAMLCFLAGS=-I ../src -I +compiler-libs \
           -w +a-4-9-41-42-44-45-48 -warn-error A \
           -safe-string -strict-sequence -strict-formats

CMOS=num_top_printers.cmo num_top.cmo

all: num_top.cma

num_top.cma: $(CMOS)
	$(OCAMLC) $(CAMLCFLAGS) -a -o $@ $(CMOS)

%.cmi: %.mli
	$(OCAMLC) $(CAMLCFLAGS) -c $*.mli
%.cmo: %.ml
	$(OCAMLC) $(CAMLCFLAGS) -c $*.ml

TOINSTALL=\
  num_top.cma num_top.cmi num_top_printers.cmi

VERSION=$(shell sed -ne 's/^ *version *: *"\([^"]*\)".*$$/\1/p' ../num.opam)

install:
	sed -e 's/%%VERSION%%/$(VERSION)/g' META.in > META
	$(OCAMLFIND) install num-top META $(TOINSTALL)
	rm -f META

uninstall:
	$(OCAMLFIND) remove num-top

clean:
	rm -f *.cm[ioxta] *.cmx[as] *.cmti

depend:
	$(OCAMLDEP) -slash *.mli *.ml > .depend

include .depend

=== debian/changelog ===
ocaml-num (1.4-2build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:21:15 +0100

ocaml-num (1.4-2) unstable; urgency=medium

  * Fix detection of native architectures
  * Bump Standards-Version to 4.6.0
  * Bump debian/watch version to 4

 -- Stéphane Glondu <glondu@debian.org>  Thu, 20 Jan 2022 05:55:17 +0100

ocaml-num (1.4-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.1

 -- Stéphane Glondu <glondu@debian.org>  Tue, 24 Nov 2020 10:35:39 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-ocaml,
- ocaml-nox (>= 4.08),
+ ocaml,
  ocaml-findlib
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Section: ocaml
 Homepage: https://github.com/ocaml/num
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-num.git

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,3 @@
 
 %:
 	dh $@ --with ocaml
-
-override_dh_missing:
-	dh_missing --fail-missing
-
-override_dh_dwz:

## ocaml-num 1.5

=== src/Makefile ===
include ../Makefile.common

DESTDIR ?=

ifeq "$(filter i386 amd64 arm64 power,$(ARCH))" ""
# Unsupported architecture
BNG_ARCH=generic
else
BNG_ARCH=$(ARCH)
endif

CAMLCFLAGS=-w +a-4-9-41-42-44-45-48 $(WARN_ERROR) -bin-annot -g \
          -safe-string -strict-sequence -strict-formats -I +compiler-libs
CAMLOPTFLAGS=$(CAMLCFLAGS)
ifeq "$(FLAMBDA)" "true"
CAMLOPTFLAGS+=-O3
endif

CMIS=big_int.cmi nat.cmi num.cmi ratio.cmi arith_status.cmi
CMOS=int_misc.cmo nat.cmo big_int.cmo arith_flags.cmo \
  ratio.cmo num.cmo arith_status.cmo
CMXS=$(CMOS:.cmo=.cmx)
COBJS=bng.$(O) nat_stubs.$(O)

MODULES_NUM_TOP=num_top_printers num_top
SOURCES_NUM_TOP=\
  $(addsuffix .mli,$(MODULES_NUM_TOP)) $(addsuffix .ml,$(MODULES_NUM_TOP))
CMOS_NUM_TOP=$(addsuffix .cmo,$(MODULES_NUM_TOP))

all:: libnums.$(A) nums.cma num_top.cma META.legacy META.modern META.top \
      num-legacy.install num-modern.install

ifeq "$(NATIVE_COMPILER)" "true"
all:: nums.cmxa
endif

ifeq "$(NATDYNLINK)" "true"
all:: nums.cmxs
endif

META.top: META.num-top.in
	echo 'version = "$(VERSION)"' > $@
	cat $^ >> $@

META.%:
	@echo 'requires = "num.core"' > $@
	@echo 'requires(toploop) = "num.core,num-top"' >> $@
	@echo 'version = "$(VERSION)"' >> $@
	@echo 'description = "Arbitrary-precision rational arithmetic"' >> $@
	@echo 'package "core" (' >> $@
# META.legacy installs num to the OCaml standard library directory so requires
# the extra directory line. META.modern installs num as a standard findlib
# package.
	@echo '  directory = "^"' >> $(if $(*:legacy=),/dev/null,$@)
	@echo '  version = "$(VERSION)"' >> $@
	@echo '  browse_interfaces = ""' >> $@
	@echo '  archive(byte) = "nums.cma"' >> $@
ifneq "$(ARCH)" "none"
	@echo '  archive(native) = "nums.cmxa"' >> $@
endif
	@echo '  plugin(byte) = "nums.cma"' >> $@
ifeq "$(NATDYNLINK)" "true"
	@echo '  plugin(native) = "nums.cmxs"' >> $@
endif
	@echo ')' >> $@

libnums.$(A): $(COBJS)
	$(OCAMLMKLIB) -oc nums $(COBJS)

nums.cma: $(CMOS)
	$(OCAMLMKLIB) -o nums -oc nums -linkall $(CMOS)

nums.cmxa: $(CMXS)
	$(OCAMLMKLIB) -o nums -oc nums -linkall $(CMXS)

nums.cmxs: nums.cmxa libnums.$(A)
	$(OCAMLOPT) $(CAMLOPTFLAGS) -I . -shared -o nums.cmxs nums.cmxa

num_top.cma: $(CMOS_NUM_TOP)
	$(OCAMLC) $(CAMLCFLAGS) -a -o $@ $^

# We hard-code the C dependencies rather than having them generated
# because the dependencies are so simple.
bng.$(O): bng.h bng_*.c
nat_stubs.$(O): bng.h nat.h

%.cmi: %.mli
	$(OCAMLC) $(CAMLCFLAGS) -c $*.mli
%.cmo: %.ml
	$(OCAMLC) $(CAMLCFLAGS) -c $*.ml
%.cmx: %.ml
	$(OCAMLOPT) $(CAMLOPTFLAGS) -c $*.ml
%.$(O): %.c
	$(OCAMLC) -ccopt -DBNG_ARCH_$(BNG_ARCH) -c $*.c

# Legacy installation: files go into OCaml's stdlib directory; only META
# is installed via findlib

TOINSTALL=nums.cma libnums.$(A) $(CMIS) $(CMIS:.cmi=.mli) $(CMIS:.cmi=.cmti)
ifeq "$(NATIVE_COMPILER)" "true"
TOINSTALL+=nums.cmxa nums.$(A) $(CMXS)
endif
ifeq "$(NATDYNLINK)" "true"
TOINSTALL_CMXS=nums.cmxs
else
TOINSTALL_CMXS=
endif
ifeq "$(SUPPORTS_SHARED_LIBRARIES)" "true"
TOINSTALL_STUBS=dllnums$(EXT_DLL)
else
TOINSTALL_STUBS=
endif
TOINSTALL_NUM_TOP=num_top.cma $(addsuffix .cmi,$(MODULES_NUM_TOP))

# Generate opam .install files for both installation modes:
# lib_root section
#   - num-top files (legacy and modern)
#   - num artefacts to ocaml/ (legacy only)
# libexec_root section
#   - nums.cmxs (legacy only)
#   - dllnums.so to ocaml/stublibs/ (legacy only)
# lib section:
#   - num META file
#   - num artefacts (modern only)
# libexec section:
#   - nums.cmxs (modern only)
# stublibs section:
#   - dllnums.so (modern only)
define GENERATE_INSTALL_FILE
num-$1.install:
	@echo 'lib_root: [' > $$@
	@echo '  "src/META.top" {"num-top/META"}' >> $$@
$(foreach file,$(TOINSTALL_NUM_TOP),
	@echo '  "src/$(file)" {"num-top/$(file)"}' >> $$@)
ifeq "$(1)" "legacy"
$(foreach file,$(TOINSTALL),
	@echo '  "src/$(file)" {"ocaml/$(file)"}' >> $$@)
	@echo ']' >> $$@
	@echo 'libexec_root: [' >> $$@
$(foreach file,$(TOINSTALL_CMXS),
	@echo '  "src/$(file)" {"ocaml/$(file)"}' >> $$@)
$(foreach file,$(TOINSTALL_STUBS),
	@echo '  "src/$(file)" {"ocaml/stublibs/$(file)"}' >> $$@)
endif
	@echo ']' >> $$@
	@echo 'lib: [' >> $$@
	@echo '  "src/META.$(1)" {"META"}' >> $$@
ifeq "$(1)" "modern"
$(foreach file,$(TOINSTALL),
	@echo '  "src/$(file)"' >> $$@)
	@echo ']' >> $$@
	@echo 'libexec: [' >> $$@
$(foreach file,$(TOINSTALL_CMXS),
	@echo '  "src/$(file)"' >> $$@)
	@echo ']' >> $$@
	@echo 'stublibs: [' >> $$@
$(foreach file,$(TOINSTALL_STUBS),
	@echo '  "src/$(file)"' >> $$@)
endif
	@echo ']' >> $$@
endef

$(eval $(call GENERATE_INSTALL_FILE,legacy))
$(eval $(call GENERATE_INSTALL_FILE,modern))

install: num-top-install
	$(INSTALL_DIR) $(DESTDIR)$(STDLIBDIR)
	cp META.legacy META
	$(OCAMLFIND) install num META
	rm -f META
	$(INSTALL_DATA) $(TOINSTALL) $(DESTDIR)$(STDLIBDIR)
ifeq "$(NATDYNLINK)" "true"
	$(INSTALL_DLL) $(TOINSTALL_CMXS) $(DESTDIR)$(STDLIBDIR)
endif
ifeq "$(SUPPORTS_SHARED_LIBRARIES)" "true"
	$(INSTALL_DIR) $(DESTDIR)$(STDLIBDIR)/stublibs
	$(INSTALL_DLL) $(TOINSTALL_STUBS) $(DESTDIR)$(STDLIBDIR)/stublibs
endif

num-top-install:
	cp META.top META
	$(OCAMLFIND) install num-top META $(TOINSTALL_NUM_TOP)
	rm -f META

findlib-install: num-top-install
	cp META.modern META
	$(OCAMLFIND) install num META $(TOINSTALL) $(TOINSTALL_CMXS) $(TOINSTALL_STUBS)
	rm -f META

num-top-uninstall:
	$(OCAMLFIND) remove num-top

findlib-uninstall: num-top-uninstall
	$(OCAMLFIND) remove num

uninstall: findlib-uninstall
	cd $(DESTDIR)$(STDLIBDIR) && rm -f $(TOINSTALL) $(TOINSTALL_CMXS)
ifeq "$(SUPPORTS_SHARED_LIBRARIES)" "true"
	cd $(DESTDIR)$(STDLIBDIR)/stublibs && rm -f $(TOINSTALL_STUBS)
endif

clean:
	rm -f *.cm[ioxta] *.cmx[as] *.cmti *.$(O) *.$(A) *$(EXT_DLL) \
        META.top META.legacy META.modern $(SOURCES_NUM_TOP) \
        num-legacy.install num-modern.install

$(SOURCES_NUM_TOP:num_=%): $(addprefix ../toplevel/,$(SOURCES_NUM_TOP))
	cp $^ .

depend: $(SOURCES_NUM_TOP)
	$(OCAMLDEP) -slash *.mli *.ml > .depend

include .depend

=== debian/changelog ===
ocaml-num (1.5-1build4) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 15:01:39 +0200

ocaml-num (1.5-1build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 03:44:23 +0100

ocaml-num (1.5-1build2) oracular; urgency=medium

  * Rebuild against Rebuild with fixed ocaml #1078549.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 08 Sep 2024 19:19:34 +0200

ocaml-num (1.5-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:15:43 +0200

ocaml-num (1.5-1) unstable; urgency=medium

  * New upstream release
  * Remove Breaks/Replaces relative to old versions
  * Fix debian/watch
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Wed, 14 Feb 2024 17:13:11 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  ocaml,
  ocaml-findlib
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: ocaml
 Homepage: https://github.com/ocaml/num
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-num.git
@@ -23,8 +23,6 @@
  ${misc:Depends}
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
-Breaks: ocaml-nox (<< 4.08)
-Replaces: ocaml-nox (<< 4.08)
 Description: library for arbitrary-precision and rational arithmetic (development)
  This OCaml library implements arbitrary-precision arithmetic on big
  integers and on rationals.
@@ -46,8 +44,6 @@
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
-Breaks: ocaml-base-nox (<< 4.08), libfindlib-ocaml (<< 1.8)
-Replaces: ocaml-base-nox (<< 4.08), libfindlib-ocaml (<< 1.8)
 Description: library for arbitrary-precision and rational arithmetic (runtime)
  This OCaml library implements arbitrary-precision arithmetic on big
  integers and on rationals.

## ocaml-num 1.6

=== Makefile ===
all:
	$(MAKE) -C src all

test:
	$(MAKE) -C test all

clean:
	$(MAKE) -C src clean
	$(MAKE) -C test clean
	rm -f num.install

install:
	$(MAKE) -C src install

findlib-install:
	$(MAKE) -C src findlib-install

uninstall:
	$(MAKE) -C src uninstall

findlib-uninstall:
	$(MAKE) -C src findlib-uninstall

.PHONY: opam-%
opam-%: all
	cp src/num-$*.install num.install

.PHONY: all test clean install uninstall findlib-install findlib-uninstall

=== src/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
   $(addsuffix .mli,$(MODULES_NUM_TOP)) $(addsuffix .ml,$(MODULES_NUM_TOP))
 CMOS_NUM_TOP=$(addsuffix .cmo,$(MODULES_NUM_TOP))
 
-all:: libnums.$(A) nums.cma num_top.cma META.legacy META.modern META.top \
+all:: libnums.$(A) nums.cma num_top.cma META.num META.top \
       num-legacy.install num-modern.install
 
 ifeq "$(NATIVE_COMPILER)" "true"
@@ -42,16 +42,12 @@
 	echo 'version = "$(VERSION)"' > $@
 	cat $^ >> $@
 
-META.%:
+META.num:
 	@echo 'requires = "num.core"' > $@
 	@echo 'requires(toploop) = "num.core,num-top"' >> $@
 	@echo 'version = "$(VERSION)"' >> $@
 	@echo 'description = "Arbitrary-precision rational arithmetic"' >> $@
 	@echo 'package "core" (' >> $@
-# META.legacy installs num to the OCaml standard library directory so requires
-# the extra directory line. META.modern installs num as a standard findlib
-# package.
-	@echo '  directory = "^"' >> $(if $(*:legacy=),/dev/null,$@)
 	@echo '  version = "$(VERSION)"' >> $@
 	@echo '  browse_interfaces = ""' >> $@
 	@echo '  archive(byte) = "nums.cma"' >> $@
@@ -118,14 +114,13 @@
 #   - num artefacts to ocaml/ (legacy only)
 # libexec_root section
 #   - nums.cmxs (legacy only)
-#   - dllnums.so to ocaml/stublibs/ (legacy only)
 # lib section:
 #   - num META file
-#   - num artefacts (modern only)
+#   - num artefacts
 # libexec section:
 #   - nums.cmxs (modern only)
 # stublibs section:
-#   - dllnums.so (modern only)
+#   - dllnums.so
 define GENERATE_INSTALL_FILE
 num-$1.install:
 	@echo 'lib_root: [' > $$@
@@ -139,13 +134,10 @@
 	@echo 'libexec_root: [' >> $$@
 $(foreach file,$(TOINSTALL_CMXS),
 	@echo '  "src/$(file)" {"ocaml/$(file)"}' >> $$@)
-$(foreach file,$(TOINSTALL_STUBS),
-	@echo '  "src/$(file)" {"ocaml/stublibs/$(file)"}' >> $$@)
 endif
 	@echo ']' >> $$@
 	@echo 'lib: [' >> $$@
-	@echo '  "src/META.$(1)" {"META"}' >> $$@
-ifeq "$(1)" "modern"
+	@echo '  "src/META.num" {"META"}' >> $$@
 $(foreach file,$(TOINSTALL),
 	@echo '  "src/$(file)"' >> $$@)
 	@echo ']' >> $$@
@@ -156,7 +148,6 @@
 	@echo 'stublibs: [' >> $$@
 $(foreach file,$(TOINSTALL_STUBS),
 	@echo '  "src/$(file)"' >> $$@)
-endif
 	@echo ']' >> $$@
 endef
 
@@ -165,7 +156,7 @@
 
 install: num-top-install
 	$(INSTALL_DIR) $(DESTDIR)$(STDLIBDIR)
-	cp META.legacy META
+	cp META.num META
 	$(OCAMLFIND) install num META
 	rm -f META
 	$(INSTALL_DATA) $(TOINSTALL) $(DESTDIR)$(STDLIBDIR)
@@ -183,7 +174,7 @@
 	rm -f META
 
 findlib-install: num-top-install
-	cp META.modern META
+	cp META.num META
 	$(OCAMLFIND) install num META $(TOINSTALL) $(TOINSTALL_CMXS) $(TOINSTALL_STUBS)
 	rm -f META
 
@@ -201,7 +192,7 @@
 
 clean:
 	rm -f *.cm[ioxta] *.cmx[as] *.cmti *.$(O) *.$(A) *$(EXT_DLL) \
-        META.top META.legacy META.modern $(SOURCES_NUM_TOP) \
+        META.top META.num $(SOURCES_NUM_TOP) \
         num-legacy.install num-modern.install
 
 $(SOURCES_NUM_TOP:num_=%): $(addprefix ../toplevel/,$(SOURCES_NUM_TOP))

=== test/Makefile ===
--- 
+++ 
@@ -1,8 +1,4 @@
-OCAMLC=ocamlc
-OCAMLOPT=ocamlopt
-OCAMLRUN=ocamlrun
-
-include $(shell $(OCAMLC) -where)/Makefile.config
+include ../Makefile.common
 
 CAMLCFLAGS=
 CAMLOPTFLAGS=$(CAMLCFLAGS)
@@ -13,7 +9,7 @@
 	@echo "----- Testing in bytecode..."
 	$(OCAMLRUN) -I ../src ./test.byt
 
-ifneq "$(ARCH)" "none"
+ifeq "$(NATIVE_COMPILER)" "true"
 all:: test.exe
 	@echo "----- Testing in native code..."
 	./test.exe

=== debian/changelog ===
ocaml-num (1.6-1) unstable; urgency=medium

  * New upstream release
  * Use ocaml_dune dh buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Thu, 14 Aug 2025 11:19:10 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-ocaml,
- ocaml,
- ocaml-findlib
+ dh-ocaml (>= 2),
+ ocaml-dune,
+ ocaml
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Section: ocaml

=== debian/tests/control ===
Tests: test-num
Depends: ocaml, ocaml-findlib, libnum-ocaml-dev

=== debian/watch ===
version=4
https://github.com/ocaml/num/tags .*/v(.*)\.tar\.gz
